version: '3'

services:
  n8n:
    image: n8nio/n8n:latest
    restart: always
    ports:
      - "127.0.0.1:5678:5678"   # IMPORTANTE: solo expuesto interno
    environment:
      - N8N_HOST=hub.savethechildrenmx.org
      - N8N_PORT=5678
      - N8N_PROTOCOL=https
      - N8N_SECURE_COOKIE=true
    volumes:
      - ~/.n8n:/home/node/.n8n

